Bug 685084 - [RV770] image corruption (horizontal lines) when scrolling in Firefox
Summary: [RV770] image corruption (horizontal lines) when scrolling in Firefox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 09:19 UTC by Michal Schmidt
Modified: 2011-03-29 03:53 UTC (History)
5 users (show)

Fixed In Version: xorg-x11-drv-ati-6.14.0-7.20110316gitcdfc007ec.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 03:53:51 UTC


Attachments (Terms of Use)
dmesg (150.02 KB, text/plain)
2011-03-15 09:20 UTC, Michal Schmidt
no flags Details
Xorg.0.log (48.98 KB, text/plain)
2011-03-15 09:20 UTC, Michal Schmidt
no flags Details
screenshot (461.43 KB, image/png)
2011-03-15 09:25 UTC, Michal Schmidt
no flags Details
RADEON HD5670 has horizontal lines in firefox tabs (94.71 KB, image/png)
2011-03-15 14:50 UTC, Reartes Guillermo
no flags Details

Description Michal Schmidt 2011-03-15 09:19:49 UTC
Description of problem:
On some webpages (not all) scrolling in Firefox produces horizontal line artifacts. See the attached screenshot.
It is reproducible both in Gnome shell and in XFCE.
This is a regression in 6.14.0-6* compared to 6.14.0-5*.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.14.0-6.20110315git4d3504970.fc15.x86_64
kernel-2.6.38-1.fc15.x86_64
xorg-x11-server-Xorg-1.10.0-3.fc15.x86_64
mesa-dri-drivers-7.10-0.29.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to http://www.svobodni.cz/ using Firefox
2. Drag the scrollbar down slowly.
  
Actual results:
image corruption as in the screenshot

Expected results:
no ugly horizontal lines over the webpage

Additional info:
Downgrading to xorg-x11-drv-ati-6.14.0-5.20110204gita27b5dbd9.fc15.x86_64 makes the bug go away.
Will attach dmesg and Xorg.0.log ...

Comment 1 Michal Schmidt 2011-03-15 09:20:28 UTC
Created attachment 484405 [details]
dmesg

Comment 2 Michal Schmidt 2011-03-15 09:20:57 UTC
Created attachment 484406 [details]
Xorg.0.log

Comment 3 Michal Schmidt 2011-03-15 09:22:56 UTC
There are two video cards in this machine. I am using:
VGA compatible controller [0300]: ATI Technologies Inc RV770 [Radeon HD 4850] [1002:9442]
The other video card is not in use.

Comment 4 Michal Schmidt 2011-03-15 09:25:34 UTC
Created attachment 484407 [details]
screenshot

Comment 5 Yanko Kaneti 2011-03-15 14:48:39 UTC
Can confirm a similar looking regression on RS780 IGP
VGA compatible controller [0300]: ATI Technologies Inc Radeon HD 3200 Graphics [1002:9610]

Comment 6 Reartes Guillermo 2011-03-15 14:50:03 UTC
Created attachment 485199 [details]
RADEON HD5670 has horizontal lines in firefox tabs

I also see the horizontal lines, but on the Firefox TABS:

ATI Technologies Inc Redwood [Radeon HD 5670] [1002:68d8]
See attached pic.

xorg-x11-drv-ati.x86_64  6.14.0-6.20110315git4d3504970.fc15 @updates-testing

Additional info:
[Bug 683825] Graphical corruption/artifact in KDE with ATI HD5670 (1002:68d8)

Comment 7 Dave Airlie 2011-03-15 23:38:24 UTC
Michal,

can you get it at the default firefox zoom level (Ctrl+0) 

or does it only happen if you zoom in?

Comment 8 Fedora Update System 2011-03-16 00:48:54 UTC
xorg-x11-drv-ati-6.14.0-7.20110316gitcdfc007ec.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-drv-ati-6.14.0-7.20110316gitcdfc007ec.fc15

Comment 9 Michal Schmidt 2011-03-16 07:48:42 UTC
Yes, I had it zoomed in a bit without realizing it. There's no corruption with the default zoom level.

6.14.0-7 fixes the bug. Thanks.

Comment 10 Fedora Update System 2011-03-29 03:53:41 UTC
xorg-x11-drv-ati-6.14.0-7.20110316gitcdfc007ec.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.